/****************************************************************************
Date: 2/9/97 EXPERIMENTAL
File:   strlook.hpp
Description:    string lookup table class
        public:
                STRINGTABLE(const CHAR* aTable[], size_t TableSize)
                UINT    GetIndex(const CHAR* pszName) const
	
*****************************************************************************/
#ifndef STRTAB_HPP
#define STRTAB_HPP

#include <stddef.h>
#include <stdlib.h>
#include <string.h>

#include "loctypes.h"

class   STRINGTABLE {
private:
        const CHAR** const  pTable;
        const USHORT unCount;
public:
        STRINGTABLE(const CHAR* aTable[], size_t TableSize);
        UINT    GetIndex(const CHAR* pszName) const;
};

#endif // strtab.hpp
